---
title: Window.defaultStatus
slug: Web/API/Window/defaultStatus
tags:
  - API
  - HTML DOM
  - NeedsCompatTable
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Obsolete
  - Property
  - Reference
  - Window
---
<p>{{ obsolete_header(23) }}</p>

<p>{{ APIRef() }}</p>

<h2 id="Summary">Summary</h2>

<p>Gets/sets the status bar text for the given window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>var sMsg</em> = window.defaultStatus;
window.defaultStatus = <em>sMsg;</em>
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>sMsg</code> is a string containing the text to be displayed by default in the statusbar.</li>
</ul>

<h2 id="Example">Example</h2>

<pre>&lt;html&gt;
 &lt;body onload="window.defaultStatus='hello!';"/&gt;
  &lt;button onclick="window.confirm('Are you sure you want to quit?');"&gt;confirm&lt;/button&gt;
 &lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>To set the status once the window has been opened, use {{domxref("window.status")}}.</p>

<h2 id="Specifications">Specifications</h2>

<p>HTML5</p>
